org.apache.tinkerpop.gremlin.util.function

## Class Lambda.TwoArgLambda<A,B,C>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda
  - - org.apache.tinkerpop.gremlin.util.function.Lambda.TwoArgLambda<A,B,C>

- All Implemented Interfaces:
    Serializable, Comparator<A>, BiFunction<A,B,C>, Lambda
  Direct Known Subclasses:
    Lambda.BinaryLambda
  Enclosing interface:
    Lambda

      public static class Lambda.TwoArgLambda<A,B,C>
      extends Lambda.AbstractLambda
      implements BiFunction<A,B,C>, Comparator<A>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.BinaryLambda<A>, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnaryLambda<A>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoArgLambda(String lambdaSource, String lambdaLanguage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `apply(A a, B b)`
    `int` | `compare(A first, A second)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

      `equals, getLambdaArguments, getLambdaLanguage, getLambdaScript, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, binaryOperator, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier, unaryOperator, unaryOperator`

- - ### Constructor Detail

    - #### TwoArgLambda

          public TwoArgLambda(String lambdaSource,
                              String lambdaLanguage)

  - ### Method Detail

    - #### apply

          public C apply(A a,
                         B b)

      Specified by:
        `apply` in interface `BiFunction<A,B,C>`

    - #### compare

          public int compare(A first,
                             A second)

      Specified by:
        `compare` in interface `Comparator<A>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.